=== debian/control ===
Source: spuce
Section: comm
Priority: optional
Maintainer: Tony Kirke <tony@pyspuc.com>
Build-Depends:
    debhelper (>= 9.0.0),
    cmake (>= 2.8.7),
    qtbase5-dev,
Standards-Version: 3.9.6
Homepage: https://github.com/audiofilter/spuce/wiki
Vcs-Git: https://github.com/audiofilter/spuce.git
Vcs-Browser: https://github.com/audiofilter/spuce

Package: libspuce0.4-3
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support, ${misc:Pre-Depends}
Depends:
     ${shlibs:Depends},
     ${misc:Depends}
Description: Spuce - shared library
 A DSP filtering library.

Package: libspuce-dev
Section: libdevel
Architecture: any
Depends:
    libspuce0.4-3 (= ${binary:Version}),
    ${shlibs:Depends},
    ${misc:Depends}
Description: Spuce - development files
 A DSP filtering library.

Package: spuce
Section: science
Architecture: any
Depends:
    libspuce0.4-3 (= ${binary:Version}),
    ${shlibs:Depends},
    ${misc:Depends}
Description: Example applications for libspuce
 A DSP filtering library.
